Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 196369 - Need newer sha* hashes
Summary: Need newer sha* hashes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-06-22 19:42 UTC by James Antill
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: 5.97-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-26 08:04:23 UTC


Attachments (Terms of Use)
Backport patch to add sha*sum and base64 hashing/encoding (deleted)
2006-06-22 19:42 UTC, James Antill
no flags Details | Diff

Description James Antill 2006-06-22 19:42:40 UTC
Description of problem:
 sha256sum, sha512sum etc. are present in upstream development but not in our
package.

Version-Release number of selected component (if applicable):



Additional info:

 I'm including a patch backported from upstream development (the backport was
blessed by the maintainer). It adds the new sha* commands and base64 ... and tests.

Comment 1 James Antill 2006-06-22 19:42:40 UTC
Created attachment 131378 [details]
Backport patch to add sha*sum and base64 hashing/encoding

Comment 3 Tim Waugh 2006-06-22 22:40:57 UTC
5.96-4 building.

Comment 4 Tim Waugh 2006-06-23 08:13:16 UTC
Test cases failed on s390 (but succeeded on ia64).

Comment 7 Jim Meyering 2006-06-23 13:35:14 UTC
It appears to be a bug in gcc/memcpy, since memcpy transforms the first four
bytes of a buffer from 128 to 9223372036854775808 (aka 0x8000000000000000). 
Building with -fno-builtin avoids the problem.  I'll submit a test case shortly.

Comment 8 Jim Meyering 2006-06-23 16:11:10 UTC
Update: a better-controlled experiment suggests that the test failures are due
to a bug in gcc's -O2.  When I compile sha512.c with -O1 and relink, the tests pass.

Comment 9 Jim Meyering 2006-06-23 20:24:20 UTC
FYI, the s390 gcc -O2 problem is being tracked here:
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=28146

Comment 11 Tim Waugh 2006-06-26 08:04:23 UTC
Thanks for working out the problem!  For the moment I've built coreutils with
-O1 on s390/s390x.


Note You need to log in before you can comment on or make changes to this bug.